package cs108;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public final class LZW {
    public static void main(String[] args) throws IOException {
        String inFileName = args[0];
        String outCmpFileName = args[1];
        String outFileName = args[2];

        try (InputStream in = new FileInputStream(inFileName);
             OutputStream out = new LZWOutputStream(new FileOutputStream(outCmpFileName))) {
            in.transferTo(out);
        }

        try (InputStream in = new LZWInputStream(new FileInputStream(outCmpFileName));
             OutputStream out = new FileOutputStream(outFileName)) {
            in.transferTo(out);
        }
    }
}
